# coding=utf-8
# *** WARNING: this file was generated by the Pulumi Terraform Bridge (tfgen) Tool. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import copy
import warnings
import pulumi
import pulumi.runtime
from typing import Any, Callable, Mapping, Optional, Sequence, Union, overload
from .. import _utilities
from . import outputs

__all__ = [
    'GetAccessGroupsGroupResult',
    'GetAccessRulesRuleResult',
    'GetFileSystemsSystemResult',
    'GetMountPointsPointResult',
    'GetZonesZoneResult',
    'GetZonesZoneOptionResult',
]

@pulumi.output_type
class GetAccessGroupsGroupResult(dict):
    def __init__(__self__, *,
                 access_group_id: str,
                 access_group_name: str,
                 create_time: str,
                 description: str,
                 id: str,
                 mount_point_count: int,
                 network_type: str,
                 rule_count: int):
        """
        :param str access_group_id: The length of `description` does not exceed 100 bytes.
        :param str access_group_name: The Name of Access Group. The length Of `access_group_name` does not exceed 100 bytes.
        :param str create_time: The CreateTime of Access Group.
        :param str description: The Description of Access Group. The length Of `description` does not exceed 100 bytes.
        :param str id: The ID of the Access Group.
        :param int mount_point_count: The Number of attached mountpoint.
        :param str network_type: The NetworkType of Access Group. Valid values: `VPC`.
        :param int rule_count: The Number of access rule.
        """
        GetAccessGroupsGroupResult._configure(
            lambda key, value: pulumi.set(__self__, key, value),
            access_group_id=access_group_id,
            access_group_name=access_group_name,
            create_time=create_time,
            description=description,
            id=id,
            mount_point_count=mount_point_count,
            network_type=network_type,
            rule_count=rule_count,
        )
    @staticmethod
    def _configure(
             _setter: Callable[[Any, Any], None],
             access_group_id: Optional[str] = None,
             access_group_name: Optional[str] = None,
             create_time: Optional[str] = None,
             description: Optional[str] = None,
             id: Optional[str] = None,
             mount_point_count: Optional[int] = None,
             network_type: Optional[str] = None,
             rule_count: Optional[int] = None,
             opts: Optional[pulumi.ResourceOptions] = None,
             **kwargs):
        if access_group_id is None and 'accessGroupId' in kwargs:
            access_group_id = kwargs['accessGroupId']
        if access_group_id is None:
            raise TypeError("Missing 'access_group_id' argument")
        if access_group_name is None and 'accessGroupName' in kwargs:
            access_group_name = kwargs['accessGroupName']
        if access_group_name is None:
            raise TypeError("Missing 'access_group_name' argument")
        if create_time is None and 'createTime' in kwargs:
            create_time = kwargs['createTime']
        if create_time is None:
            raise TypeError("Missing 'create_time' argument")
        if description is None:
            raise TypeError("Missing 'description' argument")
        if id is None:
            raise TypeError("Missing 'id' argument")
        if mount_point_count is None and 'mountPointCount' in kwargs:
            mount_point_count = kwargs['mountPointCount']
        if mount_point_count is None:
            raise TypeError("Missing 'mount_point_count' argument")
        if network_type is None and 'networkType' in kwargs:
            network_type = kwargs['networkType']
        if network_type is None:
            raise TypeError("Missing 'network_type' argument")
        if rule_count is None and 'ruleCount' in kwargs:
            rule_count = kwargs['ruleCount']
        if rule_count is None:
            raise TypeError("Missing 'rule_count' argument")

        _setter("access_group_id", access_group_id)
        _setter("access_group_name", access_group_name)
        _setter("create_time", create_time)
        _setter("description", description)
        _setter("id", id)
        _setter("mount_point_count", mount_point_count)
        _setter("network_type", network_type)
        _setter("rule_count", rule_count)

    @property
    @pulumi.getter(name="accessGroupId")
    def access_group_id(self) -> str:
        """
        The length of `description` does not exceed 100 bytes.
        """
        return pulumi.get(self, "access_group_id")

    @property
    @pulumi.getter(name="accessGroupName")
    def access_group_name(self) -> str:
        """
        The Name of Access Group. The length Of `access_group_name` does not exceed 100 bytes.
        """
        return pulumi.get(self, "access_group_name")

    @property
    @pulumi.getter(name="createTime")
    def create_time(self) -> str:
        """
        The CreateTime of Access Group.
        """
        return pulumi.get(self, "create_time")

    @property
    @pulumi.getter
    def description(self) -> str:
        """
        The Description of Access Group. The length Of `description` does not exceed 100 bytes.
        """
        return pulumi.get(self, "description")

    @property
    @pulumi.getter
    def id(self) -> str:
        """
        The ID of the Access Group.
        """
        return pulumi.get(self, "id")

    @property
    @pulumi.getter(name="mountPointCount")
    def mount_point_count(self) -> int:
        """
        The Number of attached mountpoint.
        """
        return pulumi.get(self, "mount_point_count")

    @property
    @pulumi.getter(name="networkType")
    def network_type(self) -> str:
        """
        The NetworkType of Access Group. Valid values: `VPC`.
        """
        return pulumi.get(self, "network_type")

    @property
    @pulumi.getter(name="ruleCount")
    def rule_count(self) -> int:
        """
        The Number of access rule.
        """
        return pulumi.get(self, "rule_count")


@pulumi.output_type
class GetAccessRulesRuleResult(dict):
    def __init__(__self__, *,
                 access_group_id: str,
                 access_rule_id: str,
                 create_time: str,
                 description: str,
                 id: str,
                 network_segment: str,
                 priority: int,
                 rw_access_type: str):
        """
        :param str access_group_id: The resource ID of the Access Group.
        :param str access_rule_id: The ID of the Access Rule.
        :param str create_time: The created time of the Access Rule.
        :param str description: The description of the Access Rule.
        :param str id: The resource ID of Access Rule.
        :param str network_segment: The NetworkSegment of the Access Rule.
        :param int priority: The priority of the Access Rule.
        :param str rw_access_type: RWAccessType of the Access Rule. Valid values: `RDONLY`, `RDWR`.
        """
        GetAccessRulesRuleResult._configure(
            lambda key, value: pulumi.set(__self__, key, value),
            access_group_id=access_group_id,
            access_rule_id=access_rule_id,
            create_time=create_time,
            description=description,
            id=id,
            network_segment=network_segment,
            priority=priority,
            rw_access_type=rw_access_type,
        )
    @staticmethod
    def _configure(
             _setter: Callable[[Any, Any], None],
             access_group_id: Optional[str] = None,
             access_rule_id: Optional[str] = None,
             create_time: Optional[str] = None,
             description: Optional[str] = None,
             id: Optional[str] = None,
             network_segment: Optional[str] = None,
             priority: Optional[int] = None,
             rw_access_type: Optional[str] = None,
             opts: Optional[pulumi.ResourceOptions] = None,
             **kwargs):
        if access_group_id is None and 'accessGroupId' in kwargs:
            access_group_id = kwargs['accessGroupId']
        if access_group_id is None:
            raise TypeError("Missing 'access_group_id' argument")
        if access_rule_id is None and 'accessRuleId' in kwargs:
            access_rule_id = kwargs['accessRuleId']
        if access_rule_id is None:
            raise TypeError("Missing 'access_rule_id' argument")
        if create_time is None and 'createTime' in kwargs:
            create_time = kwargs['createTime']
        if create_time is None:
            raise TypeError("Missing 'create_time' argument")
        if description is None:
            raise TypeError("Missing 'description' argument")
        if id is None:
            raise TypeError("Missing 'id' argument")
        if network_segment is None and 'networkSegment' in kwargs:
            network_segment = kwargs['networkSegment']
        if network_segment is None:
            raise TypeError("Missing 'network_segment' argument")
        if priority is None:
            raise TypeError("Missing 'priority' argument")
        if rw_access_type is None and 'rwAccessType' in kwargs:
            rw_access_type = kwargs['rwAccessType']
        if rw_access_type is None:
            raise TypeError("Missing 'rw_access_type' argument")

        _setter("access_group_id", access_group_id)
        _setter("access_rule_id", access_rule_id)
        _setter("create_time", create_time)
        _setter("description", description)
        _setter("id", id)
        _setter("network_segment", network_segment)
        _setter("priority", priority)
        _setter("rw_access_type", rw_access_type)

    @property
    @pulumi.getter(name="accessGroupId")
    def access_group_id(self) -> str:
        """
        The resource ID of the Access Group.
        """
        return pulumi.get(self, "access_group_id")

    @property
    @pulumi.getter(name="accessRuleId")
    def access_rule_id(self) -> str:
        """
        The ID of the Access Rule.
        """
        return pulumi.get(self, "access_rule_id")

    @property
    @pulumi.getter(name="createTime")
    def create_time(self) -> str:
        """
        The created time of the Access Rule.
        """
        return pulumi.get(self, "create_time")

    @property
    @pulumi.getter
    def description(self) -> str:
        """
        The description of the Access Rule.
        """
        return pulumi.get(self, "description")

    @property
    @pulumi.getter
    def id(self) -> str:
        """
        The resource ID of Access Rule.
        """
        return pulumi.get(self, "id")

    @property
    @pulumi.getter(name="networkSegment")
    def network_segment(self) -> str:
        """
        The NetworkSegment of the Access Rule.
        """
        return pulumi.get(self, "network_segment")

    @property
    @pulumi.getter
    def priority(self) -> int:
        """
        The priority of the Access Rule.
        """
        return pulumi.get(self, "priority")

    @property
    @pulumi.getter(name="rwAccessType")
    def rw_access_type(self) -> str:
        """
        RWAccessType of the Access Rule. Valid values: `RDONLY`, `RDWR`.
        """
        return pulumi.get(self, "rw_access_type")


@pulumi.output_type
class GetFileSystemsSystemResult(dict):
    def __init__(__self__, *,
                 create_time: str,
                 description: str,
                 file_system_id: str,
                 file_system_name: str,
                 id: str,
                 mount_point_count: int,
                 number_of_directories: int,
                 number_of_files: int,
                 protocol_type: str,
                 provisioned_throughput_in_mi_bps: int,
                 space_capacity: int,
                 storage_package_id: str,
                 storage_type: str,
                 throughput_mode: str,
                 used_space_size: float,
                 zone_id: str):
        """
        :param str create_time: The creation time of the File system.
        :param str description: The description of the File system.
        :param str file_system_id: The ID of the File System.
        :param str file_system_name: The name of the File system.
        :param str id: The ID of the File System.
        :param int mount_point_count: The number of Mount points.
        :param int number_of_directories: The number of directories.
        :param int number_of_files: The number of files.
        :param str protocol_type: The protocol type. Valid values: `HDFS`.
        :param int provisioned_throughput_in_mi_bps: The preset throughput of the File system. Valid values: `1` to `1024`, Unit: MB/s.
        :param int space_capacity: The capacity budget of the File system.
        :param str storage_package_id: Storage package Id.
        :param str storage_type: The storage specifications of the File system. Valid values: `PERFORMANCE`, `STANDARD`.
        :param str throughput_mode: The throughput mode of the File system. Valid values: `Provisioned`, `Standard`.
        :param float used_space_size: The used space of the File system.
        :param str zone_id: The zone ID of the File system.
        """
        GetFileSystemsSystemResult._configure(
            lambda key, value: pulumi.set(__self__, key, value),
            create_time=create_time,
            description=description,
            file_system_id=file_system_id,
            file_system_name=file_system_name,
            id=id,
            mount_point_count=mount_point_count,
            number_of_directories=number_of_directories,
            number_of_files=number_of_files,
            protocol_type=protocol_type,
            provisioned_throughput_in_mi_bps=provisioned_throughput_in_mi_bps,
            space_capacity=space_capacity,
            storage_package_id=storage_package_id,
            storage_type=storage_type,
            throughput_mode=throughput_mode,
            used_space_size=used_space_size,
            zone_id=zone_id,
        )
    @staticmethod
    def _configure(
             _setter: Callable[[Any, Any], None],
             create_time: Optional[str] = None,
             description: Optional[str] = None,
             file_system_id: Optional[str] = None,
             file_system_name: Optional[str] = None,
             id: Optional[str] = None,
             mount_point_count: Optional[int] = None,
             number_of_directories: Optional[int] = None,
             number_of_files: Optional[int] = None,
             protocol_type: Optional[str] = None,
             provisioned_throughput_in_mi_bps: Optional[int] = None,
             space_capacity: Optional[int] = None,
             storage_package_id: Optional[str] = None,
             storage_type: Optional[str] = None,
             throughput_mode: Optional[str] = None,
             used_space_size: Optional[float] = None,
             zone_id: Optional[str] = None,
             opts: Optional[pulumi.ResourceOptions] = None,
             **kwargs):
        if create_time is None and 'createTime' in kwargs:
            create_time = kwargs['createTime']
        if create_time is None:
            raise TypeError("Missing 'create_time' argument")
        if description is None:
            raise TypeError("Missing 'description' argument")
        if file_system_id is None and 'fileSystemId' in kwargs:
            file_system_id = kwargs['fileSystemId']
        if file_system_id is None:
            raise TypeError("Missing 'file_system_id' argument")
        if file_system_name is None and 'fileSystemName' in kwargs:
            file_system_name = kwargs['fileSystemName']
        if file_system_name is None:
            raise TypeError("Missing 'file_system_name' argument")
        if id is None:
            raise TypeError("Missing 'id' argument")
        if mount_point_count is None and 'mountPointCount' in kwargs:
            mount_point_count = kwargs['mountPointCount']
        if mount_point_count is None:
            raise TypeError("Missing 'mount_point_count' argument")
        if number_of_directories is None and 'numberOfDirectories' in kwargs:
            number_of_directories = kwargs['numberOfDirectories']
        if number_of_directories is None:
            raise TypeError("Missing 'number_of_directories' argument")
        if number_of_files is None and 'numberOfFiles' in kwargs:
            number_of_files = kwargs['numberOfFiles']
        if number_of_files is None:
            raise TypeError("Missing 'number_of_files' argument")
        if protocol_type is None and 'protocolType' in kwargs:
            protocol_type = kwargs['protocolType']
        if protocol_type is None:
            raise TypeError("Missing 'protocol_type' argument")
        if provisioned_throughput_in_mi_bps is None and 'provisionedThroughputInMiBps' in kwargs:
            provisioned_throughput_in_mi_bps = kwargs['provisionedThroughputInMiBps']
        if provisioned_throughput_in_mi_bps is None:
            raise TypeError("Missing 'provisioned_throughput_in_mi_bps' argument")
        if space_capacity is None and 'spaceCapacity' in kwargs:
            space_capacity = kwargs['spaceCapacity']
        if space_capacity is None:
            raise TypeError("Missing 'space_capacity' argument")
        if storage_package_id is None and 'storagePackageId' in kwargs:
            storage_package_id = kwargs['storagePackageId']
        if storage_package_id is None:
            raise TypeError("Missing 'storage_package_id' argument")
        if storage_type is None and 'storageType' in kwargs:
            storage_type = kwargs['storageType']
        if storage_type is None:
            raise TypeError("Missing 'storage_type' argument")
        if throughput_mode is None and 'throughputMode' in kwargs:
            throughput_mode = kwargs['throughputMode']
        if throughput_mode is None:
            raise TypeError("Missing 'throughput_mode' argument")
        if used_space_size is None and 'usedSpaceSize' in kwargs:
            used_space_size = kwargs['usedSpaceSize']
        if used_space_size is None:
            raise TypeError("Missing 'used_space_size' argument")
        if zone_id is None and 'zoneId' in kwargs:
            zone_id = kwargs['zoneId']
        if zone_id is None:
            raise TypeError("Missing 'zone_id' argument")

        _setter("create_time", create_time)
        _setter("description", description)
        _setter("file_system_id", file_system_id)
        _setter("file_system_name", file_system_name)
        _setter("id", id)
        _setter("mount_point_count", mount_point_count)
        _setter("number_of_directories", number_of_directories)
        _setter("number_of_files", number_of_files)
        _setter("protocol_type", protocol_type)
        _setter("provisioned_throughput_in_mi_bps", provisioned_throughput_in_mi_bps)
        _setter("space_capacity", space_capacity)
        _setter("storage_package_id", storage_package_id)
        _setter("storage_type", storage_type)
        _setter("throughput_mode", throughput_mode)
        _setter("used_space_size", used_space_size)
        _setter("zone_id", zone_id)

    @property
    @pulumi.getter(name="createTime")
    def create_time(self) -> str:
        """
        The creation time of the File system.
        """
        return pulumi.get(self, "create_time")

    @property
    @pulumi.getter
    def description(self) -> str:
        """
        The description of the File system.
        """
        return pulumi.get(self, "description")

    @property
    @pulumi.getter(name="fileSystemId")
    def file_system_id(self) -> str:
        """
        The ID of the File System.
        """
        return pulumi.get(self, "file_system_id")

    @property
    @pulumi.getter(name="fileSystemName")
    def file_system_name(self) -> str:
        """
        The name of the File system.
        """
        return pulumi.get(self, "file_system_name")

    @property
    @pulumi.getter
    def id(self) -> str:
        """
        The ID of the File System.
        """
        return pulumi.get(self, "id")

    @property
    @pulumi.getter(name="mountPointCount")
    def mount_point_count(self) -> int:
        """
        The number of Mount points.
        """
        return pulumi.get(self, "mount_point_count")

    @property
    @pulumi.getter(name="numberOfDirectories")
    def number_of_directories(self) -> int:
        """
        The number of directories.
        """
        return pulumi.get(self, "number_of_directories")

    @property
    @pulumi.getter(name="numberOfFiles")
    def number_of_files(self) -> int:
        """
        The number of files.
        """
        return pulumi.get(self, "number_of_files")

    @property
    @pulumi.getter(name="protocolType")
    def protocol_type(self) -> str:
        """
        The protocol type. Valid values: `HDFS`.
        """
        return pulumi.get(self, "protocol_type")

    @property
    @pulumi.getter(name="provisionedThroughputInMiBps")
    def provisioned_throughput_in_mi_bps(self) -> int:
        """
        The preset throughput of the File system. Valid values: `1` to `1024`, Unit: MB/s.
        """
        return pulumi.get(self, "provisioned_throughput_in_mi_bps")

    @property
    @pulumi.getter(name="spaceCapacity")
    def space_capacity(self) -> int:
        """
        The capacity budget of the File system.
        """
        return pulumi.get(self, "space_capacity")

    @property
    @pulumi.getter(name="storagePackageId")
    def storage_package_id(self) -> str:
        """
        Storage package Id.
        """
        return pulumi.get(self, "storage_package_id")

    @property
    @pulumi.getter(name="storageType")
    def storage_type(self) -> str:
        """
        The storage specifications of the File system. Valid values: `PERFORMANCE`, `STANDARD`.
        """
        return pulumi.get(self, "storage_type")

    @property
    @pulumi.getter(name="throughputMode")
    def throughput_mode(self) -> str:
        """
        The throughput mode of the File system. Valid values: `Provisioned`, `Standard`.
        """
        return pulumi.get(self, "throughput_mode")

    @property
    @pulumi.getter(name="usedSpaceSize")
    def used_space_size(self) -> float:
        """
        The used space of the File system.
        """
        return pulumi.get(self, "used_space_size")

    @property
    @pulumi.getter(name="zoneId")
    def zone_id(self) -> str:
        """
        The zone ID of the File system.
        """
        return pulumi.get(self, "zone_id")


@pulumi.output_type
class GetMountPointsPointResult(dict):
    def __init__(__self__, *,
                 access_group_id: str,
                 create_time: str,
                 description: str,
                 file_system_id: str,
                 id: str,
                 mount_point_domain: str,
                 mount_point_id: str,
                 network_type: str,
                 status: str,
                 vpc_id: str,
                 vswitch_id: str):
        """
        :param str access_group_id: The ID of the Access Group.
        :param str create_time: The created time of the Mount Point.
        :param str description: The description of the Mount Point.
        :param str file_system_id: The ID of the File System.
        :param str id: The ID of the Mount Point.
        :param str mount_point_domain: The domain name of the Mount Point.
        :param str mount_point_id: The ID of the Mount Point.
        :param str network_type: The network type of the Mount Point. Valid values: `VPC`.
        :param str status: The status of the Mount Point. Valid values: `Active`, `Inactive`.
        :param str vpc_id: The ID of the VPC network.
        :param str vswitch_id: The vswitch id.
        """
        GetMountPointsPointResult._configure(
            lambda key, value: pulumi.set(__self__, key, value),
            access_group_id=access_group_id,
            create_time=create_time,
            description=description,
            file_system_id=file_system_id,
            id=id,
            mount_point_domain=mount_point_domain,
            mount_point_id=mount_point_id,
            network_type=network_type,
            status=status,
            vpc_id=vpc_id,
            vswitch_id=vswitch_id,
        )
    @staticmethod
    def _configure(
             _setter: Callable[[Any, Any], None],
             access_group_id: Optional[str] = None,
             create_time: Optional[str] = None,
             description: Optional[str] = None,
             file_system_id: Optional[str] = None,
             id: Optional[str] = None,
             mount_point_domain: Optional[str] = None,
             mount_point_id: Optional[str] = None,
             network_type: Optional[str] = None,
             status: Optional[str] = None,
             vpc_id: Optional[str] = None,
             vswitch_id: Optional[str] = None,
             opts: Optional[pulumi.ResourceOptions] = None,
             **kwargs):
        if access_group_id is None and 'accessGroupId' in kwargs:
            access_group_id = kwargs['accessGroupId']
        if access_group_id is None:
            raise TypeError("Missing 'access_group_id' argument")
        if create_time is None and 'createTime' in kwargs:
            create_time = kwargs['createTime']
        if create_time is None:
            raise TypeError("Missing 'create_time' argument")
        if description is None:
            raise TypeError("Missing 'description' argument")
        if file_system_id is None and 'fileSystemId' in kwargs:
            file_system_id = kwargs['fileSystemId']
        if file_system_id is None:
            raise TypeError("Missing 'file_system_id' argument")
        if id is None:
            raise TypeError("Missing 'id' argument")
        if mount_point_domain is None and 'mountPointDomain' in kwargs:
            mount_point_domain = kwargs['mountPointDomain']
        if mount_point_domain is None:
            raise TypeError("Missing 'mount_point_domain' argument")
        if mount_point_id is None and 'mountPointId' in kwargs:
            mount_point_id = kwargs['mountPointId']
        if mount_point_id is None:
            raise TypeError("Missing 'mount_point_id' argument")
        if network_type is None and 'networkType' in kwargs:
            network_type = kwargs['networkType']
        if network_type is None:
            raise TypeError("Missing 'network_type' argument")
        if status is None:
            raise TypeError("Missing 'status' argument")
        if vpc_id is None and 'vpcId' in kwargs:
            vpc_id = kwargs['vpcId']
        if vpc_id is None:
            raise TypeError("Missing 'vpc_id' argument")
        if vswitch_id is None and 'vswitchId' in kwargs:
            vswitch_id = kwargs['vswitchId']
        if vswitch_id is None:
            raise TypeError("Missing 'vswitch_id' argument")

        _setter("access_group_id", access_group_id)
        _setter("create_time", create_time)
        _setter("description", description)
        _setter("file_system_id", file_system_id)
        _setter("id", id)
        _setter("mount_point_domain", mount_point_domain)
        _setter("mount_point_id", mount_point_id)
        _setter("network_type", network_type)
        _setter("status", status)
        _setter("vpc_id", vpc_id)
        _setter("vswitch_id", vswitch_id)

    @property
    @pulumi.getter(name="accessGroupId")
    def access_group_id(self) -> str:
        """
        The ID of the Access Group.
        """
        return pulumi.get(self, "access_group_id")

    @property
    @pulumi.getter(name="createTime")
    def create_time(self) -> str:
        """
        The created time of the Mount Point.
        """
        return pulumi.get(self, "create_time")

    @property
    @pulumi.getter
    def description(self) -> str:
        """
        The description of the Mount Point.
        """
        return pulumi.get(self, "description")

    @property
    @pulumi.getter(name="fileSystemId")
    def file_system_id(self) -> str:
        """
        The ID of the File System.
        """
        return pulumi.get(self, "file_system_id")

    @property
    @pulumi.getter
    def id(self) -> str:
        """
        The ID of the Mount Point.
        """
        return pulumi.get(self, "id")

    @property
    @pulumi.getter(name="mountPointDomain")
    def mount_point_domain(self) -> str:
        """
        The domain name of the Mount Point.
        """
        return pulumi.get(self, "mount_point_domain")

    @property
    @pulumi.getter(name="mountPointId")
    def mount_point_id(self) -> str:
        """
        The ID of the Mount Point.
        """
        return pulumi.get(self, "mount_point_id")

    @property
    @pulumi.getter(name="networkType")
    def network_type(self) -> str:
        """
        The network type of the Mount Point. Valid values: `VPC`.
        """
        return pulumi.get(self, "network_type")

    @property
    @pulumi.getter
    def status(self) -> str:
        """
        The status of the Mount Point. Valid values: `Active`, `Inactive`.
        """
        return pulumi.get(self, "status")

    @property
    @pulumi.getter(name="vpcId")
    def vpc_id(self) -> str:
        """
        The ID of the VPC network.
        """
        return pulumi.get(self, "vpc_id")

    @property
    @pulumi.getter(name="vswitchId")
    def vswitch_id(self) -> str:
        """
        The vswitch id.
        """
        return pulumi.get(self, "vswitch_id")


@pulumi.output_type
class GetZonesZoneResult(dict):
    def __init__(__self__, *,
                 options: Sequence['outputs.GetZonesZoneOptionResult'],
                 zone_id: str):
        """
        :param Sequence['GetZonesZoneOptionArgs'] options: A list of available configurations of the Zone.
        :param str zone_id: The zone ID.
        """
        GetZonesZoneResult._configure(
            lambda key, value: pulumi.set(__self__, key, value),
            options=options,
            zone_id=zone_id,
        )
    @staticmethod
    def _configure(
             _setter: Callable[[Any, Any], None],
             options: Optional[Sequence['outputs.GetZonesZoneOptionResult']] = None,
             zone_id: Optional[str] = None,
             opts: Optional[pulumi.ResourceOptions] = None,
             **kwargs):
        if options is None:
            raise TypeError("Missing 'options' argument")
        if zone_id is None and 'zoneId' in kwargs:
            zone_id = kwargs['zoneId']
        if zone_id is None:
            raise TypeError("Missing 'zone_id' argument")

        _setter("options", options)
        _setter("zone_id", zone_id)

    @property
    @pulumi.getter
    def options(self) -> Sequence['outputs.GetZonesZoneOptionResult']:
        """
        A list of available configurations of the Zone.
        """
        return pulumi.get(self, "options")

    @property
    @pulumi.getter(name="zoneId")
    def zone_id(self) -> str:
        """
        The zone ID.
        """
        return pulumi.get(self, "zone_id")


@pulumi.output_type
class GetZonesZoneOptionResult(dict):
    def __init__(__self__, *,
                 protocol_type: str,
                 storage_type: str):
        """
        :param str protocol_type: The protocol type. Valid values: `HDFS`.
        :param str storage_type: The storage specifications of the File system. Valid values: `PERFORMANCE`, `STANDARD`.
        """
        GetZonesZoneOptionResult._configure(
            lambda key, value: pulumi.set(__self__, key, value),
            protocol_type=protocol_type,
            storage_type=storage_type,
        )
    @staticmethod
    def _configure(
             _setter: Callable[[Any, Any], None],
             protocol_type: Optional[str] = None,
             storage_type: Optional[str] = None,
             opts: Optional[pulumi.ResourceOptions] = None,
             **kwargs):
        if protocol_type is None and 'protocolType' in kwargs:
            protocol_type = kwargs['protocolType']
        if protocol_type is None:
            raise TypeError("Missing 'protocol_type' argument")
        if storage_type is None and 'storageType' in kwargs:
            storage_type = kwargs['storageType']
        if storage_type is None:
            raise TypeError("Missing 'storage_type' argument")

        _setter("protocol_type", protocol_type)
        _setter("storage_type", storage_type)

    @property
    @pulumi.getter(name="protocolType")
    def protocol_type(self) -> str:
        """
        The protocol type. Valid values: `HDFS`.
        """
        return pulumi.get(self, "protocol_type")

    @property
    @pulumi.getter(name="storageType")
    def storage_type(self) -> str:
        """
        The storage specifications of the File system. Valid values: `PERFORMANCE`, `STANDARD`.
        """
        return pulumi.get(self, "storage_type")


